Page MenuHomePhabricator

Document maintenance script emptyUserGroup.php on MediaWiki
Closed, ResolvedPublic

Description

This auto-doc already exists: https://doc.wikimedia.org/mediawiki-core/master/php/emptyUserGroup_8php.html

Details should be added with the others at https://www.mediawiki.org/wiki/Manual:Maintenance_scripts#List_of_maintenance_scripts

[note: please don't create tasks with empty descriptions. Adding links/examples always helps, in all contexts. Thanks!]

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 10 2019, 10:58 AM
Quiddity updated the task description. (Show Details)Jan 10 2019, 6:03 PM
Quiddity added a subscriber: Quiddity.

Hello,
I'd like to work on this task. Can it be assigned to me?
Thanks!

Hello,
I'd like to work on this task. Can it be assigned to me?
Thanks!

Sure.

Eisheeta added a comment.EditedMar 8 2019, 11:38 AM

Hi, I've made a reference page and made some changes. Where can I get the details about the usage of this script file?
Thank you!
https://www.mediawiki.org/wiki/User:Eisheeta/Sandbox/maintenance/emptyUserGroup.php

You could inspect its code or run that script in your MediaWiki installation, if you'd like to e.g. document the options/parameters the script accepts/requires.

@Aklapper Thank you so much for your help! I'll try it and get back to you soon about it.

Hello @Aklapper @Zoranzoki21

I've created the documentation of the emptyUserGroup script. Please review it!

Thank you so much!

Link: https://www.mediawiki.org/wiki/User:Eisheeta/Sandbox/maintenance/emptyUserGroup.php

Hello @Aklapper @Zoranzoki21
The required task is completed and was accepted.

  1. emptyUserGroup.php has been added in the https://www.mediawiki.org/wiki/Manual:Maintenance_scripts#List_of_maintenance_scripts
  2. New documentation page was created for Manual: EmptyUserGroup.php at https://www.mediawiki.org/wiki/Manual:EmptyUserGroup.php.

I think this task can be closed now?

Zoranzoki21 closed this task as Resolved.Mar 13 2019, 7:45 PM

Looks excellent! Thanks @Eisheeta

Looks excellent! Thanks @Eisheeta

Thank you so much!